Unit tde88e6_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FPOLIN4_p, DE88E_p;

function tde88e6: String;

implementation

function tde88e6: String;
var
M,IORDY,K0,IMAX,INIAPR,NXP1,NX,I,KP1,KP2,KP3,J :Integer;
YN,DYN,Y,DY,YT,DYT,DELY,DELDY,H0,H,XN,XK :Extended;
XS :Array [0..1] of Extended;
AY :Array [0..4] of Extended;
ADY :Array [0..3] of Extended;
AD2Y :Array [0..2] of Extended;
RAB :Array [0..46] of Extended;
const
K :Integer = 2;
begin
Result := '';  {   }
{      PROGRAM POL4 }
M := 1;
XN := 1.e0;
YN := 171.e0;
DYN := 626.e0;
IORDY := 2;
H0 := -1.e0;
XK := 0.e0;
YT := 1.e0;
DYT := 2.e0;
K0 := K;
IMAX := 1;
INIAPR := 1;
H := H0;
DE88E(FPOLIN4,M,XN,YN,DYN,XK,K0,INIAPR,IMAX,IORDY,H,Y,DY,NX,XS,AY,
     ADY,AD2Y,RAB);
DELY := YT -Y;
DELDY := DYT-DY;
NXP1 := NX+1;
Result := Result + Format(' NX=%4d ',[NX]) + #$0D#$0A;
Result := Result + Format('%s',['    XS=' + #$0D#$0A]);
for I:=1 to NXP1 do
 begin
  Result := Result + Format('%30.18e ',[XS[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format(' H0=%20.16f    K=%3d    INIAPR=%1d    IMAX=%3d    IORDY=%2d ',
 [H,K,INIAPR,IMAX,IORDY]) + #$0D#$0A;
Result := Result + Format(' Y=  %30.18e'+#$0D#$0A+' YT= %30.18e'+#$0D#$0A+' DELTA Y  =%30.18e ',
 [Y,YT,DELY]) + #$0D#$0A;
Result := Result + Format(' DY= %30.18e'+#$0D#$0A+' DYT=%30.18e'+#$0D#$0A+' DELTA DY =%30.18e ',
 [DY,DYT,DELDY]) + #$0D#$0A;
{   .................................................... }
KP1 := K+1;
KP2 := K+2;
KP3 := K+3;
Result := Result + Format(#$0D#$0A+' COEFFICIENTS AY,ADY AND AD2Y ON %3d ',
 [NX]);
Result := Result + Format('%s',['  SEGMENT']) + #$0D#$0A;
Result := Result + Format('%s',
 ['   Number of                         Chebyshev coefficients' + #$0D#$0A +
 '              ------------------------------------------------------------------------' + #$0D#$0A +
 ' coefficient           for Y                  for Y''                    for Y''''' + #$0D#$0A +
 ' -------------------------------------------------------------------------------------' + #$0D#$0A]);
for J:=1 to KP1 do
 begin
  Result := Result + Format('  %2d  %30.18e %30.18e %30.18e ',[
J-1,AY[J-1],ADY[J-1],AD2Y[J-1]]) + #$0D#$0A;
 end;
Result := Result + Format('  %2d  %30.18e %30.18e' +#$0D#$0A+ '  %2d  %30.18e ',
 [KP1,AY[KP2-1],ADY[KP2-1],KP2,AY[KP3-1]]) + #$0D#$0A;
UtRes('tde88e6',Result);  {     tde88e6.res }
exit;
{  }
end;

end.
